/*
 * URL Shortener API
 * This API is responsible of authetication and the creation, modification and deletion of uris and hooks.
 *
 * OpenAPI spec version: 0.2.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.9
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD.
    define(['expect.js', '../../src/index'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    factory(require('expect.js'), require('../../src/index'));
  } else {
    // Browser globals (root is window)
    factory(root.expect, root.UrlShortenerApi);
  }
}(this, function(expect, UrlShortenerApi) {
  'use strict';

  var instance;

  describe('(package)', function() {
    describe('URI', function() {
      beforeEach(function() {
        instance = new UrlShortenerApi.URI();
      });

      it('should create an instance of URI', function() {
        // TODO: update the code to test URI
        expect(instance).to.be.a(UrlShortenerApi.URI);
      });

      it('should have the property uriId (base name: "uriId")', function() {
        // TODO: update the code to test the property uriId
        expect(instance).to.have.property('uriId');
        // expect(instance.uriId).to.be(expectedValueLiteral);
      });

      it('should have the property userId (base name: "userId")', function() {
        // TODO: update the code to test the property userId
        expect(instance).to.have.property('userId');
        // expect(instance.userId).to.be(expectedValueLiteral);
      });

      it('should have the property realURI (base name: "realURI")', function() {
        // TODO: update the code to test the property realURI
        expect(instance).to.have.property('realURI');
        // expect(instance.realURI).to.be(expectedValueLiteral);
      });

      it('should have the property shortURI (base name: "shortURI")', function() {
        // TODO: update the code to test the property shortURI
        expect(instance).to.have.property('shortURI');
        // expect(instance.shortURI).to.be(expectedValueLiteral);
      });

      it('should have the property activated (base name: "activated")', function() {
        // TODO: update the code to test the property activated
        expect(instance).to.have.property('activated');
        // expect(instance.activated).to.be(expectedValueLiteral);
      });

      it('should have the property reachable (base name: "reachable")', function() {
        // TODO: update the code to test the property reachable
        expect(instance).to.have.property('reachable');
        // expect(instance.reachable).to.be(expectedValueLiteral);
      });

      it('should have the property safe (base name: "safe")', function() {
        // TODO: update the code to test the property safe
        expect(instance).to.have.property('safe');
        // expect(instance.safe).to.be(expectedValueLiteral);
      });

    });
  });

}));
